Skip to content

updateInventoryCountStatus

WRITE

Update inventory count status.

POST /api/v1/inventory/updateInventoryCountStatus
curl -X POST '<your-host>/api/v1/inventory/updateInventoryCountStatus' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "status": "Draft"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Draft""Pending""Posted"
"Draft""Pending""Posted"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Pending",
        "Posted"
      ]
    },
    "expectedStatus": {
      "type": "string",
      "enum": [
        "Draft",
        "Pending",
        "Posted"
      ]
    }
  },
  "required": [
    "id",
    "status"
  ]
}